import { DefaultSession } from "next-auth";

declare module "next-auth" {
  interface Session {
    user: {
      registerCode?: string | null;
      registerCodeDate?: string | null;
    } & DefaultSession["user"];
  }
}

declare module "next-auth/jwt" {
  interface JWT {
    registerCode?: string | null;
    registerCodeDate?: string | null;
  }
}


